{% extends "base.html" %}
{% load staticfiles %}

{% block "account_maintenance" %}
<div id='account_maintenance'>
{% if page_type != 'login'%}
  <span class='account_maintenance_entry'><a href="/welcome/?login=True">Log in to an existing account?</a></span>  
{% else %}
<span class='account_maintenance_entry'><a href='/accounts/password_reset'>Lost password?</a></span>
{% endif %}
  </div>
{% endblock "account_maintenance" %}


{% block content %}
{% autoescape off %}
<div id='wrapper'>
{% if page_type == 'login' %}
  <div id="login_form" class="clearfix">
    <h3 id="signup">Log in to continue your lessons</h3>
  
    {% if form.errors %}
      <div id="errors">
	<p><strong>You have errors in the input.</strong></p>
        <ol>
          {% for error in form.username.errors %}
            <li><i>User name error:</i>{{ error }}</li> 
            {% endfor %}
          {% for error in form.password.errors %}
            <li><i>Password error:</i>{{ error }}</li> 
            {% endfor %}
          {% for error in form.non_field_errors %}
            <li>{{ error }}</li> 
            {% endfor %}
	  </ol>
        </div>
      {% endif %}

    <form action="{% url 'welcome' %}" method="post">
      <table>
        <tr>
          <td class='form_tag'>{{ form.username.label_tag }}</td>
          <td>{{ form.username }}</td>
          </tr>
        <tr>
          <td class='form_tag'>{{ form.password.label_tag }}</td>
          <td>{{ form.password }}</td>
          </tr>
        <tr>
          <td></td>
          <td><input type="submit" value="Log in" /></td>
          </tr>
        </table>
      <input type="hidden" name="login" value="login" />
      {% csrf_token %}
      </form>
    </div> <!-- login_form -->
{% endif %}


{% if page_type != 'login' %}
  <div id='signup_form'>
  {% block "lion" %}
     <a href='/lion'><img src="{% static 'graphics/edutex.png' %}" alt="TeX lion teaching" id="lion_pic"></a>
    {% endblock "lion" %}
    <h2 id="signup">Sign up for free online lessons</h2>
  
    {% if form.errors %}
      <div id='errors'>
      <p id='error-announcement'>Your information contained errors, sorry.</p>
        {% for error in form.non_field_errors %}
          <p class="alert alert-danger">{{ error.as_text|escape }}
            </p>
          {% endfor %}
      {% endif %}
    <form action="{% url 'welcome' %}" method="post">
      <table>
        {% for field in form.visible_fields %}
          <tr class="field_row">
            <td class='form_tag'>{{ field.label_tag }}</td> 
            <td>{{ field }}</td>
            {% if field.errors %}<td>Error: {{ field.errors.as_text }}</td>
              {% else %}<td class='form_comment'>{{ field.help_text }}</td>
              {% endif %}
            </tr>
          {% endfor %}
        <tr>
          <td></td>
          <td><input type="submit" value="Sign up" /></td>
          </tr>
        </table>
      <input type="hidden" name="signup" value="signup" />
      {% for hidden in form.hidden_fields %}{{ hidden }}{% endfor %}
      {% csrf_token %}
      </form>
    <p>(You can enter any password that you like, 
       there are no restrictions.)</p>
    {% if form.errors %}
      </div>
      {% endif %}
    </div>  <!-- signup_form div -->


    <h3 id='firsthead'>What is the {{ tex_html}} family?</h3>
    <p>It is a suite of software for making documents.
      It is the standard for professionals in mathematics, 
      physics, computer science, statistics, and economics, and is often used
      in many other fields.
      It is famous for its capability with 
      mathematical material, and for its many other advantages.</p>

    <p>
      The best-known member of this family is {{ latex_html }}
      (pronounced &quot;LAH-tek&quot;).  
      Beyond its powers with mathematics, it has sophisticated
      capabilities in such areas as
      cross-referencing and automatic generation of content, including 
      graphics.
      It also has many add-on packages 
      that help with your needs, for instance
      to get a document in the format of a particular journal.    
      More on the {{ tex_html}} family programs and their advantages is at the 
      <a href="https://www.ctan.org/tex/">CTAN archive</a>
      and at
      <a href="https://en.wikipedia.org/wiki/LaTeX">Wikipedia</a>.</p>


    <h3>Lessons?</h3>
    <p>Like any sophisticated software 
      these programs take some learning.
      The lessons here will get you started, with 
      enough to do undergraduate work.
      Begin by filling out the 
      <a href="#signup">above form</a> to make an account,
      which keeps track of your progress.</p>

    <p>Each lesson has a five minute video.
       And there are some question that you can use to check your understanding.
       Also on that page are the documents used in the video so you 
       can try them yourself without having to enter them.
      </p>

    <p>This is a self-guided thing: when you are ready, just go on to the
      next lesson.</p>



    <h3>What then?</h3>
    <p>Some people take these lessons as an assignment for a course and so
      after the lessons we have a quiz.
      When you've passed the quiz
      the system will ask you for two email addresses.
      You can enter one for your professor and one for yourself,
      and we will email completion certificates.</p>

    <p>Even if you are not taking the lessons for a certificate, 
      you can still take the quiz to satisfy yourself that you know the 
      material.  
      Then if you enter one email you will get a certificate. 
      It will have an identifier that you can give others,
      perhaps a future teacher, showing that you have passed the 
      course.</p>
  {% endif %}
  </div>   <!-- wrapper div -->
{% endautoescape %}
{% endblock content %}

